Summary: Programs which control basic system processes.
Name: initng
Version: 0.1.8
Release: 2
License: GPL
Group: System Environment/Base
Source: http://initng.thinktux.net/download/initng-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-buildroot
Requires: filesystem >= 2.2.4-1

%description
Initng is a full replacement of the old and in many ways deprecated sysvinit
tool. It is designed with speed in mind, doing as much as possible
asynchronously. In other words: It will boot your unix-system much faster,
and give you more control and statistics over your system.

%prep
%setup

%build
%define _prefix /
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}/etc/hotplug/net.agent

%post
ng-update del system/coldplug
ng-update add daemon/xfs
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc doc/*
/sbin/system_off
/sbin/ng-update
/sbin/initng
/sbin/ngc
/sbin/ngdc
/sbin/install_service
/sbin/gen_system_runlevel
/usr/sbin/ifplugd.action
/usr/sbin/wpa_cli.action
/usr/sbin/ngcupdown
/usr/share/doc/initng/*
/lib/libinitng.*
/lib/initng/*
/etc/pcmcia/network
#/etc/hotplug/net.agent
/etc/ifplugd/action.d/ngcupdown
%config /etc/initng/*.runlevel
/etc/initng/conf/*
/etc/initng/*.i
/etc/initng/daemon/*
/etc/initng/debug/*
/etc/initng/net/net.i
/etc/initng/plugin/*
/etc/initng/system/*
/etc/initng/*.xml
%{_mandir}/*/*

%changelog
* Sun Aug 14 2005 Daniel Malmgren <daner964@student.liu.se> - 0.1.8-2
- Removed /etc/hotplug/net.agent which conflicts with hotplug package
- Add xfs to default runlevel

* Sun Aug 14 2005 Daniel Malmgren <daner964@student.liu.se> - 0.1.8-1
- New upstream version
- Rename gen_system_runlevel.sh to gen_system_runlevel

* Sun Aug 07 2005 Daniel Malmgren <daner964@student.liu.se>> - 0.1.7-1
- First spec that really creates a rpm. Use at own risk!
